apt 3.1.11 commandline package manager

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MMap Class Reference
Inheritance diagram for MMap:

## Public Types
enum | OpenFlags { NoImmMap = (1<<0) , Public = (1<<1) , ReadOnly = (1<<2) , UnMapped = (1<<3) , Moveable = (1<<4) , Fallback = (1 << 5) }

## Public Member Functions
| operator void * ()
void * | Data ()
unsigned long long | Size ()
void | AddSize (unsigned long long const size)
bool | validData () const
bool | Sync ()
bool | Sync (unsigned long Start, unsigned long Stop)
| MMap (FileFd &F, unsigned long Flags)
| MMap (unsigned long Flags)

## Protected Member Functions
bool | Map (FileFd &Fd)
bool | Close (bool DoSync=true)

## Protected Attributes
unsigned long | Flags
unsigned long long | iSize
void * | Base
FileFd * | SyncToFd

## Member Function Documentation

## ◆ Map()

bool Map | ( | FileFd & | Fd | ) |
| protected

Todo
  Writing to compressed fd's ?

References Map().

Referenced by Map().

The documentation for this class was generated from the following files:

- apt-pkg/contrib/mmap.h
- apt-pkg/contrib/mmap.cc